default: relphot
help:
	@echo "make options: relphot (default)"

include ../../Makefile.System
HOME    =       $(ROOT)/src/relphot
BIN	=	$(HOME)/bin
LIB	=	$(HOME)/lib
SRC	=	$(HOME)/src
MAN	=	$(HOME)/doc
INC	= 	$(HOME)/include
include ../../Makefile.Common

# programs may add their own internal requirements here
FULL_CFLAGS   = $(BASE_CFLAGS)
FULL_CPPFLAGS = $(BASE_CPPFLAGS)
FULL_LDFLAGS  = -lkapa -ldvo -lFITS -lohana $(BASE_LDFLAGS)

relphot: $(BIN)/relphot.$(ARCH)
install: $(DESTBIN)/relphot

RELPHOT = \
$(SRC)/ConfigInit.$(ARCH).o	 \
$(SRC)/GridOps.$(ARCH).o	 \
$(SRC)/ImageOps.$(ARCH).o	 \
$(SRC)/MosaicOps.$(ARCH).o	 \
$(SRC)/SetSignals.$(ARCH).o 	 \
$(SRC)/Shutdown.$(ARCH).o 	 \
$(SRC)/StarOps.$(ARCH).o	 \
$(SRC)/args.$(ARCH).o		 \
$(SRC)/bcatalog.$(ARCH).o	 \
$(SRC)/global_stats.$(ARCH).o	 \
$(SRC)/initialize.$(ARCH).o	 \
$(SRC)/liststats.$(ARCH).o	 \
$(SRC)/load_catalogs.$(ARCH).o	 \
$(SRC)/load_images.$(ARCH).o	 \
$(SRC)/plot_scatter.$(ARCH).o	 \
$(SRC)/plotstuff.$(ARCH).o	 \
$(SRC)/reload_catalogs.$(ARCH).o \
$(SRC)/relphot.$(ARCH).o	 \
$(SRC)/relphot_objects.$(ARCH).o	 \
$(SRC)/select_images.$(ARCH).o	 \
$(SRC)/setExclusions.$(ARCH).o 	 \
$(SRC)/setMrelFinal.$(ARCH).o 	 \
$(SRC)/write_coords.$(ARCH).o

$(RELPHOT): $(INC)/relphot.h
$(BIN)/relphot.$(ARCH): $(RELPHOT)
